document.addEventListener('DOMContentLoaded', function() {
 const navLinks = document.querySelectorAll('.nav-links a');
 navLinks.forEach(link => {
  link.addEventListener('click', function(e) {
   e.preventDefault();
   const targetId = this.getAttribute('href');
   document.querySelector(targetId).scrollIntoView({
    behavior: 'smooth'
   });
  });
 });

 const contactForm = document.querySelector('.contact-form');
 contactForm.addEventListener('submit', function(e) {
  e.preventDefault();
  alert('Merci pour votre message! Nous vous contacterons bientôt.');
  contactForm.reset();
 });
});